-------------------------------------------------------------------------------
-- scal2vect8bit_inst_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library scal2vect8bit;
use scal2vect8bit.all;

entity scal2vect8bit_inst_wrapper is
  port (
    pb3 : in std_logic;
    pb4 : in std_logic;
    pb5 : in std_logic;
    pb6 : in std_logic;
    pb7 : in std_logic;
    pb8 : in std_logic;
    pb9 : in std_logic;
    pb10 : in std_logic;
    pb_vect : out std_logic_vector(7 downto 0)
  );
end scal2vect8bit_inst_wrapper;

architecture STRUCTURE of scal2vect8bit_inst_wrapper is

  component scal2vect8bit is
    port (
      pb3 : in std_logic;
      pb4 : in std_logic;
      pb5 : in std_logic;
      pb6 : in std_logic;
      pb7 : in std_logic;
      pb8 : in std_logic;
      pb9 : in std_logic;
      pb10 : in std_logic;
      pb_vect : out std_logic_vector(7 downto 0)
    );
  end component;

begin

  scal2vect8bit_inst : scal2vect8bit
    port map (
      pb3 => pb3,
      pb4 => pb4,
      pb5 => pb5,
      pb6 => pb6,
      pb7 => pb7,
      pb8 => pb8,
      pb9 => pb9,
      pb10 => pb10,
      pb_vect => pb_vect
    );

end architecture STRUCTURE;
